For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
  • Getting started
    • Introduction
    • Obtaining API keys
    • Quickstart
    • Native clients
    • Concepts
    • Embedding authentication
    • Versioning
    • Idempotent requests
    • Events
  • Configuring your connections
    • CDC streaming from databases
  • Code examples
    • Bulk sync (ELT) from HubSpot to PostgreSQL
    • Bulk sync (ELT) from Salesforce to S3
    • Bulk sync (ELT) from Salesforce to Snowflake
    • Model sync (Reverse ETL) from MongoDB to Salesforce
  • API Reference
      • GETGet Connection Types
      • POSTConnection Type Parameter Values
      • GETList Connections
      • POSTCreate Connection
      • POSTConnect
      • GETGet Connection
      • DELDelete Connection
      • PATCHUpdate Connection
      • GETConnection Parameter Values
      • GETGet Connection Source
      • POSTConnection Field Query
      • GETGet Connection Target
      • POSTGet Connection Target Fields
      • POSTCreate Shared Connection
      • GETList Shared Connections
Logo
Log inBook a demo
API ReferenceConnections

Connect

POST
https://app.polytomic.com/api/connections/connect
POST
/api/connections/connect
$curl -X POST https://app.polytomic.com/api/connections/connect \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>" \
> -d '{
> "name": "Salesforce Connection",
> "redirect_url": "string"
>}'
1{
2 "data": {
3 "redirect_url": "https://app.polytomic.com/connect?type=salesforce&...",
4 "token": "token"
5 }
6}
Creates a Polytomic Connect session and returns a redirect URL that embeds the Connect modal. See also: - [Embedding authentication](../../../guides/embedding-authentication), a guide to using Polytomic Connect.
Was this page helpful?
Previous

Get Connection

Next

Creates a Polytomic Connect session and returns a redirect URL that embeds the Connect modal.

See also:

  • Embedding authentication, a guide to using Polytomic Connect.

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Headers

X-Polytomic-VersionstringRequired

Request

This endpoint expects an object.
namestringRequired
Name of the new connection. Must be unique per organization.
redirect_urlstringRequired
URL to redirect to after connection is created.
connectionstringOptionalformat: "uuid"
The id of an existing connection to update.
darkbooleanOptional
Whether to use the dark theme for the Connect modal.
organization_idstring or nullOptionalformat: "uuid"
whitelistlist of strings or nullOptional
List of connection types which are allowed to be created. Ignored if type is set.
typestringOptionalDeprecated
Connection type to create.

Response

OK
dataobject

Errors

401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error